package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import com.ruoyi.system.utils.AesUtils;
import java.util.Date;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class SnServer extends BaseEntity {
   private static final long serialVersionUID = 1L;
   private Long serverId;
   @Excel(
      name = "服务器IP"
   )
   private String ip;
   @Excel(
      name = "端口"
   )
   private Integer port;
   @Excel(
      name = "用户名"
   )
   private String userName;
   @Excel(
      name = "登录密码"
   )
   private String password;
   private String dbPsd;
   @Excel(
      name = "状态"
   )
   private Integer status;
   private Integer process;
   private Long taskId;
   private String domain;
   private Integer sslType;
   private String sslPem;
   private String sslKey;
   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   private Date sslTime;
   private String nginxCnf;
   private String version;
   private String backVersion;
   private String uiVersion;
   private String uaVersion;
   private Integer isDelete;

   public void setEnPassword(String password) {
      this.password = AesUtils.encrypt(password);
   }

   public String getDePassword() {
      return AesUtils.decrypt(this.password);
   }

   public void setEnDbPsd(String dbPsd) {
      this.dbPsd = AesUtils.encrypt(dbPsd);
   }

   public String getDeDbPsd() {
      return AesUtils.decrypt(this.dbPsd);
   }

   public String toString() {
      return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("serverId", this.getServerId()).append("ip", this.getIp()).append("port", this.getPort()).append("userName", this.getUserName()).append("password", this.getPassword()).append("status", this.getStatus()).append("isDelete", this.getIsDelete()).append("createId", this.getCreateId()).append("createName", this.getCreateName()).append("createTime", this.getCreateTime()).append("updateId", this.getUpdateId()).append("updateName", this.getUpdateName()).append("updateTime", this.getUpdateTime()).toString();
   }

   public Long getServerId() {
      return this.serverId;
   }

   public String getIp() {
      return this.ip;
   }

   public Integer getPort() {
      return this.port;
   }

   public String getUserName() {
      return this.userName;
   }

   public String getPassword() {
      return this.password;
   }

   public String getDbPsd() {
      return this.dbPsd;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Integer getProcess() {
      return this.process;
   }

   public Long getTaskId() {
      return this.taskId;
   }

   public String getDomain() {
      return this.domain;
   }

   public Integer getSslType() {
      return this.sslType;
   }

   public String getSslPem() {
      return this.sslPem;
   }

   public String getSslKey() {
      return this.sslKey;
   }

   public Date getSslTime() {
      return this.sslTime;
   }

   public String getNginxCnf() {
      return this.nginxCnf;
   }

   public String getVersion() {
      return this.version;
   }

   public String getBackVersion() {
      return this.backVersion;
   }

   public String getUiVersion() {
      return this.uiVersion;
   }

   public String getUaVersion() {
      return this.uaVersion;
   }

   public Integer getIsDelete() {
      return this.isDelete;
   }

   public void setServerId(Long serverId) {
      this.serverId = serverId;
   }

   public void setIp(String ip) {
      this.ip = ip;
   }

   public void setPort(Integer port) {
      this.port = port;
   }

   public void setUserName(String userName) {
      this.userName = userName;
   }

   public void setPassword(String password) {
      this.password = password;
   }

   public void setDbPsd(String dbPsd) {
      this.dbPsd = dbPsd;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public void setProcess(Integer process) {
      this.process = process;
   }

   public void setTaskId(Long taskId) {
      this.taskId = taskId;
   }

   public void setDomain(String domain) {
      this.domain = domain;
   }

   public void setSslType(Integer sslType) {
      this.sslType = sslType;
   }

   public void setSslPem(String sslPem) {
      this.sslPem = sslPem;
   }

   public void setSslKey(String sslKey) {
      this.sslKey = sslKey;
   }

   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   public void setSslTime(Date sslTime) {
      this.sslTime = sslTime;
   }

   public void setNginxCnf(String nginxCnf) {
      this.nginxCnf = nginxCnf;
   }

   public void setVersion(String version) {
      this.version = version;
   }

   public void setBackVersion(String backVersion) {
      this.backVersion = backVersion;
   }

   public void setUiVersion(String uiVersion) {
      this.uiVersion = uiVersion;
   }

   public void setUaVersion(String uaVersion) {
      this.uaVersion = uaVersion;
   }

   public void setIsDelete(Integer isDelete) {
      this.isDelete = isDelete;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SnServer)) {
         return false;
      } else {
         SnServer other = (SnServer)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label251: {
               Object this$serverId = this.getServerId();
               Object other$serverId = other.getServerId();
               if (this$serverId == null) {
                  if (other$serverId == null) {
                     break label251;
                  }
               } else if (this$serverId.equals(other$serverId)) {
                  break label251;
               }

               return false;
            }

            Object this$port = this.getPort();
            Object other$port = other.getPort();
            if (this$port == null) {
               if (other$port != null) {
                  return false;
               }
            } else if (!this$port.equals(other$port)) {
               return false;
            }

            Object this$status = this.getStatus();
            Object other$status = other.getStatus();
            if (this$status == null) {
               if (other$status != null) {
                  return false;
               }
            } else if (!this$status.equals(other$status)) {
               return false;
            }

            label230: {
               Object this$process = this.getProcess();
               Object other$process = other.getProcess();
               if (this$process == null) {
                  if (other$process == null) {
                     break label230;
                  }
               } else if (this$process.equals(other$process)) {
                  break label230;
               }

               return false;
            }

            label223: {
               Object this$taskId = this.getTaskId();
               Object other$taskId = other.getTaskId();
               if (this$taskId == null) {
                  if (other$taskId == null) {
                     break label223;
                  }
               } else if (this$taskId.equals(other$taskId)) {
                  break label223;
               }

               return false;
            }

            label216: {
               Object this$sslType = this.getSslType();
               Object other$sslType = other.getSslType();
               if (this$sslType == null) {
                  if (other$sslType == null) {
                     break label216;
                  }
               } else if (this$sslType.equals(other$sslType)) {
                  break label216;
               }

               return false;
            }

            Object this$isDelete = this.getIsDelete();
            Object other$isDelete = other.getIsDelete();
            if (this$isDelete == null) {
               if (other$isDelete != null) {
                  return false;
               }
            } else if (!this$isDelete.equals(other$isDelete)) {
               return false;
            }

            label202: {
               Object this$ip = this.getIp();
               Object other$ip = other.getIp();
               if (this$ip == null) {
                  if (other$ip == null) {
                     break label202;
                  }
               } else if (this$ip.equals(other$ip)) {
                  break label202;
               }

               return false;
            }

            Object this$userName = this.getUserName();
            Object other$userName = other.getUserName();
            if (this$userName == null) {
               if (other$userName != null) {
                  return false;
               }
            } else if (!this$userName.equals(other$userName)) {
               return false;
            }

            label188: {
               Object this$password = this.getPassword();
               Object other$password = other.getPassword();
               if (this$password == null) {
                  if (other$password == null) {
                     break label188;
                  }
               } else if (this$password.equals(other$password)) {
                  break label188;
               }

               return false;
            }

            Object this$dbPsd = this.getDbPsd();
            Object other$dbPsd = other.getDbPsd();
            if (this$dbPsd == null) {
               if (other$dbPsd != null) {
                  return false;
               }
            } else if (!this$dbPsd.equals(other$dbPsd)) {
               return false;
            }

            Object this$domain = this.getDomain();
            Object other$domain = other.getDomain();
            if (this$domain == null) {
               if (other$domain != null) {
                  return false;
               }
            } else if (!this$domain.equals(other$domain)) {
               return false;
            }

            label167: {
               Object this$sslPem = this.getSslPem();
               Object other$sslPem = other.getSslPem();
               if (this$sslPem == null) {
                  if (other$sslPem == null) {
                     break label167;
                  }
               } else if (this$sslPem.equals(other$sslPem)) {
                  break label167;
               }

               return false;
            }

            label160: {
               Object this$sslKey = this.getSslKey();
               Object other$sslKey = other.getSslKey();
               if (this$sslKey == null) {
                  if (other$sslKey == null) {
                     break label160;
                  }
               } else if (this$sslKey.equals(other$sslKey)) {
                  break label160;
               }

               return false;
            }

            Object this$sslTime = this.getSslTime();
            Object other$sslTime = other.getSslTime();
            if (this$sslTime == null) {
               if (other$sslTime != null) {
                  return false;
               }
            } else if (!this$sslTime.equals(other$sslTime)) {
               return false;
            }

            Object this$nginxCnf = this.getNginxCnf();
            Object other$nginxCnf = other.getNginxCnf();
            if (this$nginxCnf == null) {
               if (other$nginxCnf != null) {
                  return false;
               }
            } else if (!this$nginxCnf.equals(other$nginxCnf)) {
               return false;
            }

            label139: {
               Object this$version = this.getVersion();
               Object other$version = other.getVersion();
               if (this$version == null) {
                  if (other$version == null) {
                     break label139;
                  }
               } else if (this$version.equals(other$version)) {
                  break label139;
               }

               return false;
            }

            Object this$backVersion = this.getBackVersion();
            Object other$backVersion = other.getBackVersion();
            if (this$backVersion == null) {
               if (other$backVersion != null) {
                  return false;
               }
            } else if (!this$backVersion.equals(other$backVersion)) {
               return false;
            }

            Object this$uiVersion = this.getUiVersion();
            Object other$uiVersion = other.getUiVersion();
            if (this$uiVersion == null) {
               if (other$uiVersion != null) {
                  return false;
               }
            } else if (!this$uiVersion.equals(other$uiVersion)) {
               return false;
            }

            Object this$uaVersion = this.getUaVersion();
            Object other$uaVersion = other.getUaVersion();
            if (this$uaVersion == null) {
               if (other$uaVersion != null) {
                  return false;
               }
            } else if (!this$uaVersion.equals(other$uaVersion)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SnServer;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $serverId = this.getServerId();
      result = result * 59 + ($serverId == null ? 43 : $serverId.hashCode());
      Object $port = this.getPort();
      result = result * 59 + ($port == null ? 43 : $port.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $process = this.getProcess();
      result = result * 59 + ($process == null ? 43 : $process.hashCode());
      Object $taskId = this.getTaskId();
      result = result * 59 + ($taskId == null ? 43 : $taskId.hashCode());
      Object $sslType = this.getSslType();
      result = result * 59 + ($sslType == null ? 43 : $sslType.hashCode());
      Object $isDelete = this.getIsDelete();
      result = result * 59 + ($isDelete == null ? 43 : $isDelete.hashCode());
      Object $ip = this.getIp();
      result = result * 59 + ($ip == null ? 43 : $ip.hashCode());
      Object $userName = this.getUserName();
      result = result * 59 + ($userName == null ? 43 : $userName.hashCode());
      Object $password = this.getPassword();
      result = result * 59 + ($password == null ? 43 : $password.hashCode());
      Object $dbPsd = this.getDbPsd();
      result = result * 59 + ($dbPsd == null ? 43 : $dbPsd.hashCode());
      Object $domain = this.getDomain();
      result = result * 59 + ($domain == null ? 43 : $domain.hashCode());
      Object $sslPem = this.getSslPem();
      result = result * 59 + ($sslPem == null ? 43 : $sslPem.hashCode());
      Object $sslKey = this.getSslKey();
      result = result * 59 + ($sslKey == null ? 43 : $sslKey.hashCode());
      Object $sslTime = this.getSslTime();
      result = result * 59 + ($sslTime == null ? 43 : $sslTime.hashCode());
      Object $nginxCnf = this.getNginxCnf();
      result = result * 59 + ($nginxCnf == null ? 43 : $nginxCnf.hashCode());
      Object $version = this.getVersion();
      result = result * 59 + ($version == null ? 43 : $version.hashCode());
      Object $backVersion = this.getBackVersion();
      result = result * 59 + ($backVersion == null ? 43 : $backVersion.hashCode());
      Object $uiVersion = this.getUiVersion();
      result = result * 59 + ($uiVersion == null ? 43 : $uiVersion.hashCode());
      Object $uaVersion = this.getUaVersion();
      result = result * 59 + ($uaVersion == null ? 43 : $uaVersion.hashCode());
      return result;
   }
}
